%% eliminarPrimeraOcurrencia.m
%  Author: Carlos Caballero Gonzlez 
%  Versin:  1.0
%  Date:  14-03-07
%  Brief: Dado un vector de elementos elimina la primera ocurrencia con el
%  valor
%  Param: 
%         vector: Array con los valores posibles
%         valor: Valor que se desea eliminar del vector
%  Return: 
%         r: Array con los valores posibles sin la primera ocurrencia del
%         vector
%%
function r=eliminaPrimeraOcurrencia(vector,valor)
    long=length(vector);
    primera=0;
    contador=1;
    pos=1;
    r=[];
    while((~primera) && (long>=contador))
       if(strcmp(char(vector(contador)),valor)==0)
          r=[r vector(contador)'];
          pos=pos+1;
       else
           primera=1;
           r=[r vector(contador+1:end)'];
       end
       contador=contador+1;    
    end
    r=r';
end