%% almacenarImagen.m
%  Author: Carlos Caballero Gonzlez 
%  Versin:  1.0
%  Date:  28-03-07
%  Brief: Almancea la informacin bsica de una imagen en la tabla imagen:
%         id_imagen,altura,anchura,nombre imagen e imagen
%  Param: 
%         conexion: Manejador de la conexin a la base de datos
%         tabla: Tabla en la base de datos en la cual se almacenar la
%                imagen. (imagen
%         rutaImagen: ruta global o local en la que se encuentra la imagen
%                     a guardar en la base de datos
%         nombreImagen: El nombre de la imagen
%  Return: 
%         [0-inf] : Identificador de la imagen
%         0: Accin completada incorrectamente
%         opcionalmente se devuelve la imagen leida
%  Depende:
%          Se hace uso de la clase almacenarBlob.class
%%
function r=primeraMayuscula(palabra)
    r=[upper(palabra(1)) palabra(2:end)] %pasamos a mayusculas
end