function multidemo
%MULTIDEMO
%  
%  multidemo
% 
% 
%  See also 
% 
%  Further Information:  
%       http://www.ime.usp.br/~cesar  
%  
%   Copyright (c) 2001 by Roberto M Cesar Jr. 
%   e-mail:cesar@ime.usp.br  
%   $Revision: 0.0 $  $Date: 2001/01/16 $ 

% READ THE INPUT IMAGE

[filex,pathx] = uigetfile('*','INPUT IMAGE');
filex = sprintf('%s\%s',pathx,filex);


img = imread(filex);

[nlins, ncols, nbands]=size(img);

if (nbands > 1)
 img_new = zeros([nlins ncols]);
 for band=1:nbands
  img_new = img_new + img(:,:,band);
 end
 img = img_new / nbands;
end

% SEGMENTATION: ASSUMES THE FIRST PIXEL IS BACKGROUND

bin_img = (img ~= img(1,1));

[x,y] = contfol(bin_img);

ns=4;
nb=4;
k = curvegram(x',y',ns,nb,50,51); % INVERTING THE CURVATURE

figure; plot (k(1,:)); return

figure;
imagesc(img); colormap(gray);
hold on;
plot(x,y,'r--');

figure; stem3(x, y, k(floor(ns*nb/2),:)); 
xlabel('x-axis');
ylabel('y-axis');
zlabel('Curvature');
view(6.5, 48);
set(gcf, 'Position', [1 1 700 950]); 

figure;
imagesc(log(abs(k)+1));
axis xy;
colormap pink;

figure;
imagesc(atan(k));
axis xy;
colormap pink;

return


