%% instalar.m
function instalar



%% CREACIN DEL USUARIO
    connS=conexion('ORCL','SYS as SYSDBA','PFC');
    exec(connS,'CREATE USER "PFC" PROFILE "DEFAULT" IDENTIFIED BY "PFC" ACCOUNT UNLOCK');
    exec(connS,'GRANT "CONNECT" TO "PFC" WITH ADMIN OPTION');
    exec(connS,'GRANT "DBA" TO "PFC" WITH ADMIN OPTION');
    exec(connS,'ALTER USER "PFC" DEFAULT ROLE ALL');
    conn=conexion('ORCL','PFC','PFC')   
    
%%
    progressbar;
    ruta='SQL/create_tables.sql';
    createTable=textread(ruta,'%s','endofline',';', 'whitespace', '','delimiter',';');
    [n m]=size(createTable);
    disp('Inicializacin de la Instalacin...');
    for i=1:n
        
        cursor=exec(conn,createTable{i});
        if(isempty(cursor.Message))
           close(cursor);
        end
    end
    disp('Creadas las tablas...');
    commit(conn)
    clear createTable;
    progressbar(0.02);
    createSecuence=textread('.\SQL\create_secuences.sql','%s','endofline',';', 'whitespace', '','delimiter',';');
    [n m]=size(createSecuence);
    for i=1:n
        cursor=exec(conn,createSecuence{i});       
        if(isempty(cursor.Message))
            close(cursor);
        end
    end

    disp('Creadas las secuencias...');
    exec(conn,'commit');
    clear createSecuence;
    progressbar(0.04);

    cargarDatos=textread('.\SQL\CARGAR_DATOS.sql','%s','endofline',';', 'whitespace', '','delimiter',';');
    [n m]=size(cargarDatos);
    for i=1:n
        curs=exec(conn,cargarDatos{i});
        if(isempty(curs.Message))
            close(curs);
        end

    end
    
    disp('Cargada la informacin de configuracin...');
    cur=exec(conn,'commit');
    close(cur);
    progressbar(0.10);
    %clear cargarDatos;
%% Cargar Frutos y Flores
    disp('Cargando la informacin de los frutos y flores...')

    %Insertamos la informacin del fruto XX
    disp('Cargando la informacin del fruto Brachychiton Acerifolius');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,id_color,dehiscente,id_forma)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Negro'',''10'',28,1,11)'];
    c=exec(conn,peticion);
    close(c);
    
    
    %Insertamos la informacin del fruto Brpo
    disp('Cargando la informacin del fruto Brpo');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,tamanho_max,tamanho_min,id_color,dehiscente,id_forma,seco)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Populteum'',''5-7'',''7'',''5'',28,1,11,1)'];
    c=exec(conn,peticion);
    close(c);
    
     %Insertamos la informacin del fruto Ci_au
    disp('Cargando la informacin del fruto Ciau');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,tamanho_max,tamanho_min,id_color,id_sabor,id_forma)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Naranja Amarga'',''7-10'',''10'',''7'',35,1,12)'];
    c=exec(conn,peticion);
    close(c);
    
      %Insertamos la informacin del fruto Eu_ca
    disp('Cargando la informacin del fruto Eu_ca');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,id_tipo_fruto_seco)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Erythrina Caffra'',''6'',4)'];
    c=exec(conn,peticion);
    close(c);
    
    %Insertamos la informacin del fruto Eu_hu
    disp('Cargando la informacin del fruto Eu_hu');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,tamanho_max,tamanho_min,id_tipo_fruto_seco,id_color,dehiscente)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Erythrina Humeana'',''10-15'',''15'',''10'',4,28,1)'];
    c=exec(conn,peticion);
    close(c);
    
    
    %Insertamos la informacin del fruto Eu_hu
    disp('Cargando la informacin del fruto Fi_be');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico,id_color)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Ficus Benjamina'',''0,8-1'',1)'];
    c=exec(conn,peticion);
    close(c);
    
        disp('Cargando la informacin del fruto Fi_be');
    peticion=['INSERT INTO FRUTO(ID_FRUTO,nombre_fruto,tamanho_tipico)' ...
              ' VALUES (s_id_fruto.NEXTVAL,''Higo'',''2-5'')'];
    c=exec(conn,peticion);
    close(c);
    
    
    
    ListaImagenes={};
    insertarImagenesFruto(conn,ListaImagenes);
     
    
    %Insertamos la informacin de la flor
    disp('Cargando la informacin de la flor Brachychiton Acerifolius');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor,id_temporada,long_pedunculo_tipico,id_color,id_posicion)'...
             ' VALUES (s_id_flor.NEXTVAL,''Roja'',6,''10-15'',1,2)'];
    
    c=exec(conn,peticion);
    close(c);
    
     %Insertamos la informacin de la flor
    disp('Cargando la informacin de la flor BrPo');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor,id_temporada,id_color)'...
             ' VALUES (s_id_flor.NEXTVAL,''Populteum'',3,32)'];
    
    c=exec(conn,peticion);
    close(c);
    
     disp('Cargando la informacin de la flor Ciau');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor,id_temporada,id_color,id_agrupacion)'...
             ' VALUES (s_id_flor.NEXTVAL,''Azahar'',7,29,7)'];
    
    c=exec(conn,peticion);
    close(c);
   
    disp('Cargando la informacin de la flor EuCa');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor,id_temporada,id_color,tamanho_max,id_agrupacion,id_posicion)'...
             ' VALUES (s_id_flor.NEXTVAL,''Erythrina_caffra'',8,35,''10'',7,1)'];
    
    c=exec(conn,peticion);
    close(c);
    
    disp('Cargando la informacin de la flor EuHu');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor,id_color,id_agrupacion,id_posicion)'...
             ' VALUES (s_id_flor.NEXTVAL,''Erythrina_humeana'',36,7,1)'];
    
    c=exec(conn,peticion);
    close(c);
    
    disp('Cargando la informacin de la flor FiBe');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor)'...
             ' VALUES (s_id_flor.NEXTVAL,''Ficus Benjamina'')'];
    
    c=exec(conn,peticion);
    close(c);
    
      
    disp('Cargando la informacin de la flor FiCa');
    peticion=['INSERT INTO flor (ID_FLOR,nombre_flor)'...
             ' VALUES (s_id_flor.NEXTVAL,''Ficus Carica'')'];
    
    c=exec(conn,peticion);
    close(c);
    
    ListaImagenes={};
    insertarImagenesFlor(conn,ListaImagenes);
     


    progressbar(0.30);
%% Cargar rboles

%% Bougainvillea glabra
    disp('Cargando la informacin del arbol Bougainvillea glabra...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);


        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
  %      ListaNombres={'Bougainvillea glabra','2';
  %                     'Nombre_2','2'};
        ListaNombres={'Bougainvillea glabra','2'};
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Bougainvillea_glabra11.jpg';
                       'Bougainvillea_glabra12.jpg';
                       'Bougainvillea_glabra13.jpg';
                       'Bougainvillea_glabra14.jpg';
                       'Bougainvillea_glabra15.jpg';
                       'Bougainvillea_glabra16.jpg';
                       'Bougainvillea_glabra21.jpg';
                       'Bougainvillea_glabra22.jpg';
                       'Bougainvillea_glabra23.jpg';
                       'Bougainvillea_glabra24.jpg'};
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
    %    ListaImagenes={};
    %    insertarImagenesArbol(conn,ListaImagenes);
        progressbar(0.35);
%% Brachychiton acerifolius        
    disp('Cargando la informacin del arbol Brachychiton acerifolius...');
        %Informacin de la hoja 
        peticion=['INSERT INTO HOJA (id_hoja,id_caduca,tamanho,id_textura_enves,id_forma) VALUES (s_id_hoja.NEXTVAL,2, ''11-15'',4,10)'];
        c=exec(conn,peticion);
        close(c);
        %Informacin de la hoja compuesta
        peticion=['INSERT INTO HOJA_COMPUESTA (id_hoja, id_tipo_hoja_compuesta,foliolos) VALUES (s_id_hoja.CURRVAL,5,''3-5-7'')'];
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco,altura_maxima,altura_minima) VALUES (s_id_tronco.NEXTVAL,40,10)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
        utilidades='''ORNAMENTAL SOMBRA''';
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia,id_copa,utilidades,id_origen,hoja_simple)'...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,1,1,0,5,76,211,6,' utilidades ' ,16,0)'];
        c=exec(conn,peticion);
        close(c);
        %Informacin de la distribucin del rbol Brachychiton Acerifolius
        peticion = 'INSERT INTO ARBOL_DISTRIBUCION (id_arbol,id_distribucion) VALUES (s_id_arbol.CURRVAL,73)';
        c=exec(conn,peticion);
        close(c);
        peticion = 'INSERT INTO ARBOL_DISTRIBUCION (id_arbol,id_distribucion) VALUES (s_id_arbol.CURRVAL,82)';
        c=exec(conn,peticion);
        close(c);
        
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Brachychiton acerifolius','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Br_ac11.jpg';
                       'Br_ac12.jpg';
                       'Br_ac21.jpg';
                       'Br_ac22.jpg';
                       'Br_ac31.jpg';
                       'Br_ac32.jpg';
                       'Br_ac41.jpg';
                       'Br_ac42.jpg';
                       'Br_ac43.jpg'};
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
   %     ListaImagenes={};
  %      insertarImagenesArbol(conn,ListaImagenes);
        progressbar(0.4);
%% Brachychiton_populteum       
    disp('Cargando la informacin del arbol Brachychiton populteum...');
        %Informacin de la hoja 
                
        peticion='INSERT INTO HOJA (id_hoja,id_caduca) VALUES (s_id_hoja.NEXTVAL,2)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
       
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia,id_copa,utilidades,id_origen) '...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,2,2,0,5,76,211,6,''ORNAMENTAL'',16)'];
        c=exec(conn,peticion);
        close(c);
        %Informacin de la distribucin del rbol Brachychiton Acerifolius
        peticion = 'INSERT INTO ARBOL_DISTRIBUCION (id_arbol,id_distribucion) VALUES (s_id_arbol.CURRVAL,16)';
        c=exec(conn,peticion);
        close(c);

        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Brachychiton populteum','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Br_po11.jpg';
                       'Br_po12.jpg';
                       'Br_po21.jpg';
                       'Br_po22.jpg';
                       'Br_po31.jpg';
                       'Br_po32.jpg';
                       'Br_po41.jpg';
                       'Br_po42.jpg';
                       'Br_po51.jpg';
                       'Br_po52.jpg'};
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
 %       ListaImagenes={};
 %       insertarImagenesArbol(conn,ListaImagenes);
        progressbar(0.45);
%%         Citrus_aurantium
    disp('Cargando la informacin del arbol Citrus aurantium...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja,id_forma,id_color_superficie,id_color_enves) VALUES (s_id_hoja.NEXTVAL,4,33,32)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion=['INSERT INTO TRONCO (id_tronco,altura_tipica) '...
                 ' VALUES (s_id_tronco.NEXTVAL,''10'')'];
        c=exec(conn,peticion);

        close(c);
        %Informacin del arbol - Bougainvillea glabra
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia,utilidades)'...
                  ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,3,3,0,5,97,273,''ARBOL DE SOMBRA EN PLAZAS Y CALLES PEQUEAS'')'];
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Citrus_aurantium','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'ci_au11.jpg';
                       'ci_au12.jpg';
                       'ci_au13.jpg';
                       'ci_au14.jpg';
                       'ci_au21.jpg';
                       'ci_au22.jpg';
                       'ci_au31.jpg';
                       'ci_au32.jpg';
                       'ci_au33.jpg'};
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
%        ListaImagenes={};
%        insertarImagenesArbol(conn,ListaImagenes);        
        progressbar(0.50);
%% Erythrina_caffra
    disp('Cargando la informacin del arbol Erythrina_caffra...');
        %Informacin de la hoja 
        
        peticion='INSERT INTO HOJA (id_hoja,id_caduca,tamanho,id_color_enves,id_forma) VALUES (s_id_hoja.NEXTVAL,1,''10'',13,13)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion=['INSERT INTO TRONCO (id_tronco,altura_tipica) '...
                 ' VALUES (s_id_tronco.NEXTVAL,''7-9'')'];
         c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
             
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia)'...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,4,4,0,5,80,225)'];
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Erythrina_caffra','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Er_ca11.jpg';
                       'Er_ca12.jpg';
                       'Er_ca21.jpg';
                       'Er_ca22.jpg';
                       'Er_ca31.jpg';
                       'Er_ca32.jpg';
                       'Er_ca33.jpg';
                       'Er_ca41.jpg';
                       'Er_ca42.jpg';
                       'Er_ca51.jpg'};
                   
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
 %       ListaImagenes={};
%        insertarImagenesArbol(conn,ListaImagenes);    
 %       progressbar(0.60);
%% Ficus_benjamina        
    disp('Cargando la informacin del arbol Ficus_benjamina...');
        %Informacin de la hoja 
        peticion=['INSERT INTO HOJA (id_hoja,id_caduca,tamanho,long_peciolo_max,id_forma,id_disposicion) '...
                  ' VALUES (s_id_hoja.NEXTVAL,1,''10-20'',''7'',4,1)'];
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion=['INSERT INTO TRONCO (id_tronco,id_color,id_textura,altura_tipica) '...
                 ' VALUES (s_id_tronco.NEXTVAL,36,5,''9'')'];
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
         
       
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia,utilidades)'...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,7,7,0,5,101,301,''CULTIVO, FRUTO'')'];
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Ficus_benjamina','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Fi_be11.jpg';
                       'Fi_be12.jpg';
                       'Fi_be13.jpg';
                       'Fi_be14.jpg';
                       'Fi_be21.jpg';
                       'Fi_be22.jpg';
                       'Fi_be23.jpg';
                       'Fi_be24.jpg';
                       'Fi_be31.jpg';
                       'Fi_be32.jpg'
                        };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
   %     ListaImagenes={};
   %     insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(0.65);
%% Erythrina humeana
    disp('Cargando la informacin del arbol Erythrina humeana...');
        peticion='INSERT INTO HOJA (id_hoja,id_caduca,tamanho,id_color_enves) VALUES (s_id_hoja.NEXTVAL,1,''9-13'',33)';
      
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion=['INSERT INTO TRONCO (id_tronco,id_color,id_textura) '...
                 ' VALUES (s_id_tronco.NEXTVAL,36,5)'];
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
         
       
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia,utilidades)'...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,5,5,0,5,80,225,''CORTEZA Y RAIZ USOS MEDICINALES'')'];
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Erythrina humeana','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Er_hu11.jpg';
                       'Er_hu12.jpg';
                       'Er_hu13.jpg';
                       'Er_hu21.jpg';
                       'Er_hu22.jpg';
                       'Er_hu23.jpg';
                       'Er_hu31.jpg';
                       'Er_hu32.jpg';
                       'Er_hu33.jpg';
                       'Er_hu41.jpg';                       
                       'Er_hu42.jpg';                       
                       'Er_hu43.jpg'};
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
   %     ListaImagenes={};
   %     insertarImagenesArbol(conn,ListaImagenes);     

        progressbar(0.75);
%% Ficus_carica        
    disp('Cargando la informacin del arbol Ficus_carica...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
         
        peticion=['INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco,id_fruto,id_flor,gimnosperma,id_clase_arbol,id_orden,id_familia)'...
                 ' VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL,6,6,0,5,101,301)'];
       c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Ficus_carica','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Fi_ca11.jpg';
                       'Fi_ca12.jpg';
                       'Fi_ca21.jpg';
                       'Fi_ca22.jpg';
                       'Fi_ca31.jpg';
                       'Fi_ca32.jpg';
                       'Fi_ca41.jpg';
                       'Fi_ca42.jpg';
                        };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
   %     ListaImagenes={};
   %     insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(0.80);
%% Ligustrum_lucidum
    disp('Cargando la informacin del arbol Ligustrum lucidum...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Ligustrum lucidum','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'li_lu11.jpg';
                       'li_lu12.jpg';
                       'li_lu21.jpg';
                       'li_lu22.jpg';
                       'li_lu31.jpg';
                       'li_lu32.jpg';
                       'li_lu41.jpg';
                       'li_lu42.jpg';
                       'li_lu51.jpg';
                       'li_lu52.jpg';
                        };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
   %     ListaImagenes={};
   %     insertarImagenesArbol(conn,ListaImagenes);    
        progressbar(0.85);
%% Paulownia_tomentosa
    disp('Cargando la informacin del arbol Paulownia_tomentosa..');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Paulownia tormentosa','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'pa_to11.jpg';
                       'pa_to21.jpg';
                       'pa_to22.jpg';
                       'pa_to31.jpg';
                       'pa_to32.jpg';
                       'pa_to33.jpg';
                       'pa_to41.jpg';
                       };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
  %      ListaImagenes={};
  %      insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(0.90);
%% Pittosporum_tobira
    disp('Cargando la informacin del arbol Pittosporum tobira...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);


        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Pittosporum tobira','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'pi_to11.jpg';
                       'pi_to12.jpg';
                       'pi_to13.jpg';
                       'pi_to14.jpg';
                       'pi_to21.jpg';
                       'pi_to22.jpg';
                       'pi_to23.jpg';
                       'pi_to31.jpg';
                       'pi_to32.jpg';                                              
                       'pi_to33.jpg';                       
                       };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
  %      ListaImagenes={};
  %      insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(0.95);
%% PlatanusXhispanica
    disp('Cargando la informacin del arbol PlatanusXhispanica...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);


        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);

        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Platanus hispanica','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'PlXhi11.jpg';
                       'PlXhi12.jpg';
                       'PlXhi13.jpg';
                       'PlXhi21.jpg';
                       'PlXhi22.jpg';
                       'PlXhi31.jpg';
                       'PlXhi32.jpg';
                       'PlXhi41.jpg';
                       'PlXhi42.jpg';                                              
                       'PlXhi51.jpg';                       
                       };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
 %       ListaImagenes={};
 %       insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(0.97);

        



%% Prunus_cerasifera
    disp('Cargando la informacin del arbol Prunus_cerasifera...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        
        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Prunus cerasifera','2';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'Pr_ce44.jpg';
                       'Pr_ce45.jpg';
                       'Pr_ce46.jpg'

                       };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
  %      ListaImagenes={};
  %      insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(1);
%% desconocida
    disp('Cargando la informacin del arbol desconocida...');
        %Informacin de la hoja 
        peticion='INSERT INTO HOJA (id_hoja) VALUES (s_id_hoja.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        

        %Informacin del tronco
        peticion='INSERT INTO TRONCO (id_tronco) VALUES (s_id_tronco.NEXTVAL)';
        c=exec(conn,peticion);
        close(c);
        
        %Informacin del arbol - Bougainvillea glabra
        peticion='INSERT INTO ARBOL (id_arbol,id_hoja,id_tronco) VALUES(s_id_arbol.NEXTVAL,s_id_hoja.CURRVAL,s_id_tronco.CURRVAL)';
        c=exec(conn,peticion);
        close(c);
        
        
        %Nombres del arbol - Bougainvillea glabra
        ListaNombres={'Desconocida','1';
                        };
        insertarNombres(conn,ListaNombres);
        %Incrustamos las imagenes de la hoja del arbol- Bougainvillea glabra
        ListaImagenes={'desconocida11.jpg';
                       'desconocida12.jpg';
                       'desconocida13.jpg';
                       'desconocida14.jpg';
                       'desconocida21.jpg';
                       'desconocida22.jpg';
                       'desconocida23.jpg';                       
                       'desconocida31.jpg';
                       'desconocida32.jpg';
                       'desconocida33.jpg'                       
                       };
        insertarImagenesHoja(conn,ListaImagenes);
        
        %Incrustamos las imagenes del rbol - Bougainvillea glabra
  %      ListaImagenes={};
  %      insertarImagenesArbol(conn,ListaImagenes);     
        progressbar(1);
        
%% Funciones privada
    %%Conn: Conexin a la base de datos
    %%ListaNombres: Cell array compuesto de "Nombre_arbol,Tipo de arbol";a
    function insertarNombres(conn,ListaNombres)
        [n m]=size(ListaNombres);
        peticion='INSERT INTO NOMBRE_ARBOL(id_nombre_arbol,id_arbol,id_tipo_nombre_arbol,nombre_arbol) VALUES (s_id_nombre_arbol.NEXTVAL,s_id_arbol.CURRVAL, ';
        for i=1:n
            peticionEjecut=[peticion ListaNombres{i,2} ',''' ListaNombres{i,1} ''')'];
            c=exec(conn,peticionEjecut);
            close(c);
        end
    %%Conn:Conexin a la base de datos
    %%ListaImagenes: Cell array compuesto de los nombres de las imagenes
    function insertarImagenesHoja(conn,ListaImagenes)
        [n m]=size(ListaImagenes);
        for i=1:n
            almacenarImagenHoja(conn,['./imagenes/' ListaImagenes{i}],ListaImagenes{i});
            c=exec(conn,'INSERT INTO imagenes_hoja VALUES (s_id_imagen.CURRVAL,s_id_hoja.CURRVAL)');
            close(c);
            %close(curs);
        end
   function insertarImagenesArbol(conn,ListaImagenes)
       [n m]=size(ListaImagenes);
       for i=1:n
           almacenarImagen(conn,['./imagenes/arbol/' ListaImagenes{i}],ListaImagenes{i});
           c=exec(conn,'INSERT INTO imagen_arbol VALUES (s_id_imagen.CURRVAL,s_id_arbol.CURRVAL)');
           close(c);
           
       end
   
   function insertarImagenesFruto(conn,ListaImagenes)
        [n m]=size(ListaImagenes);
        for i=1:n
             almacenarImagen(conn,['./imagenes/fruto/' ListaImagenes{i}],ListaImagenes{i});
             c=exec(conn,'INSERT INTO imagen_fruto VALUES (s_id_imagen.CURRVAL,s_id_fruto.CURRVAL)');
             close(c);
             
        end

   function insertarImagenesFlor(conn,ListaImagenes)
        [n m]=size(ListaImagenes);
        for i=1:n
             almacenarImagen(conn,['./imagenes/flor/' ListaImagenes{i}],ListaImagenes{i});
             c=exec(conn,'INSERT INTO imagen_flor VALUES (s_id_imagen.CURRVAL,s_id_flor.CURRVAL)');             
             close(c);
        end

